
ISIS - Bug #4508

Fix bug in VariableLineScanCameraDetectorMap to get line number at the top of a pixel

2016-11-01 06:25 PM - Jean Backer

Status: Closed   

Priority: Normal   

Assignee: Jean Backer   

Category: API   

Target version: 3.5.0 (FY17 R1 2017-01-25 Jan)   

Impact: This change will affect programs that use

variable line scan camera models: either

MEx's HRSC or Dawn's VIR.

Software Version:  

Description

The VariableLineScanCameraDetectorMap methods SetDetector() and SetParent() are calculating p_parentLine and et, respectively,

by using the integer valued "rateStartLine" variable.

This integer value is actually the center of the line where the rate starts. To get the top of the line where the rate starts, we need to

subtract 0.5 from the rateStartLine.

History

#1 - 2016-11-01 06:26 PM - Jean Backer

- Status changed from New to Resolved

#2 - 2016-11-02 09:46 AM - Kristin Berry

- Impact updated

#3 - 2016-11-02 09:47 AM - Kristin Berry

- Impact updated

#4 - 2016-11-02 09:49 AM - Kristin Berry

- Impact updated

#5 - 2016-11-02 09:50 AM - Kristin Berry

- Impact updated

#6 - 2016-11-02 04:42 PM - Jean Backer

- Status changed from Resolved to Closed

#7 - 2016-11-02 04:53 PM - Jean Backer

This bug fix makes an improvement to Dawn's VIR geometry and the mission team was notified of the change.

Before making this change we also spoke to our Mars Express contact (Trent Hare) who indicated that this modification will not affect their work since

they use another camera model.
